: Class CanBusException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.comm
Class CanBusException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.dalsemi.comm.CanBusException

public class CanBusException
extends Exception

Thrown when a bus or hardware error occurs with the CAN controller.

See Also:
  Serialized Form

Field Summary
`static int` | `ALLOCATION_ERROR`
`static int` | `BIT_ONE`
`static int` | `BIT_STUFF`
`static int` | `BIT_ZERO`
`static int` | `CLOSE_NOTOWNER`
`static int` | `COUNT_EXCEEDED`
`static int` | `CRC`
`static int` | `FORMAT`
`static int` | `NONE`
`static int` | `OPEN_ALREADYOPEN`
`static int` | `PORT_DISABLED`
`static int` | `PORT_NOTOPENED`
`static int` | `TRANSMIT_NO_ACK`

Constructor Summary
`CanBusException()` Constructs a `CanBusException` with no detail message.
`CanBusException(String s, int reason)` Constructs a `CanBusException` with the specified detail message and reason code.

Method Summary
`int` | `getReason()` Returns an `int` representing the CAN Bus error that occurred.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

### BIT_STUFF

    public static final int BIT_STUFF

### FORMAT

    public static final int FORMAT

### TRANSMIT_NO_ACK

    public static final int TRANSMIT_NO_ACK

### BIT_ONE

    public static final int BIT_ONE

### BIT_ZERO

    public static final int BIT_ZERO

### CRC

    public static final int CRC

### COUNT_EXCEEDED

    public static final int COUNT_EXCEEDED

### PORT_DISABLED

    public static final int PORT_DISABLED

### PORT_NOTOPENED

    public static final int PORT_NOTOPENED

### OPEN_ALREADYOPEN

    public static final int OPEN_ALREADYOPEN

### CLOSE_NOTOWNER

    public static final int CLOSE_NOTOWNER

### ALLOCATION_ERROR

    public static final int ALLOCATION_ERROR

Constructor Detail

### CanBusException

    public CanBusException()

  Constructs a `CanBusException` with no detail message.

### CanBusException

    public CanBusException(String s,
                           int reason)

  Constructs a `CanBusException` with the specified detail message and reason code.
  Parameters:
    `s` - the detail message
    `reason` - reason code for exception

Method Detail

### getReason

    public int getReason()

  Returns an `int` representing the CAN Bus error that occurred.
  Returns:
    reason code for the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD